package domain

type AlibabaWdkMarketingVersionCommitMarketResult struct {
	/*
	   错误描述     */
	Message *string `json:"message,omitempty" `

	/*
	   档期版本号     */
	Data *int64 `json:"data,omitempty" `

	/*
	   错误编码     */
	ResultCode *string `json:"result_code,omitempty" `

	/*
	   是否成功     */
	IsSuccess *bool `json:"is_success,omitempty" `
}

func (s *AlibabaWdkMarketingVersionCommitMarketResult) SetMessage(v string) *AlibabaWdkMarketingVersionCommitMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingVersionCommitMarketResult) SetData(v int64) *AlibabaWdkMarketingVersionCommitMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingVersionCommitMarketResult) SetResultCode(v string) *AlibabaWdkMarketingVersionCommitMarketResult {
	s.ResultCode = &v
	return s
}
func (s *AlibabaWdkMarketingVersionCommitMarketResult) SetIsSuccess(v bool) *AlibabaWdkMarketingVersionCommitMarketResult {
	s.IsSuccess = &v
	return s
}
